Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.Width = 800
        Me.Height = 400
        Dim listView1 As New ListView()
        listView1.Bounds = New Rectangle(New Point(10, 10), New Size(600, 400))
        listView1.View = View.Details
        listView1.Columns.Add("id", -2, HorizontalAlignment.Left)
        listView1.Columns.Add("name", -2, HorizontalAlignment.Left)
        listView1.Columns.Add("value", -2, HorizontalAlignment.Left)
        Dim item1
        Dim i As Integer
        For i = 1 To 1000
            If Environ(i).Length = 0 Then Exit For
            item1 = New ListViewItem(i.ToString, 0)
            item1.SubItems.Add(Environ(i).Split("=")(0))
            item1.SubItems.Add(Environ(i).Split("=")(1))
            listView1.Items.AddRange(New ListViewItem() {item1})
        Next
        Me.Controls.Add(listView1)
    End Sub
End Class
